# Exiv2::TiffDataEntry Class Reference

A standard TIFF IFD entry consisting of a value which is an offset to a data area and the data area. The size of the data area is provided in a related TiffSizeEntry, tag and group of which are set in the constructor. This component is used, e.g., for Exif.Thumbnail.JPEGInterchangeFormat for which the size is provided in Exif.Thumbnail.JPEGInterchangeFormatLength. More...

`#include <tiffcomposite.hpp>`

Inheritance diagram for Exiv2::TiffDataEntry:

[legend]
Collaboration diagram for Exiv2::TiffDataEntry:

[legend]
List of all members.

## Public Member Functions

Creators
| TiffDataEntry (uint16_t tag, uint16_t group, uint16_t szTag, uint16_t szGroup)
| Constructor.
virtual | ~TiffDataEntry ()
| Virtual destructor.
Accessors
uint16_t | szTag () const
| Return the group of the entry which has the size.
uint16_t | szGroup () const
| Return the group of the entry which has the size.

## Detailed Description

A standard TIFF IFD entry consisting of a value which is an offset to a data area and the data area. The size of the data area is provided in a related TiffSizeEntry, tag and group of which are set in the constructor. This component is used, e.g., for Exif.Thumbnail.JPEGInterchangeFormat for which the size is provided in Exif.Thumbnail.JPEGInterchangeFormatLength.

The documentation for this class was generated from the following files:

- tiffcomposite.hpp
- tiffcomposite.cpp